### Method

# Gtk FileChooseradd_filter

deprecated: 4.10

#### Declaration [src]

    void
    gtk_file_chooser_add_filter (
      GtkFileChooser* chooser,
      GtkFileFilter* filter
    )

#### Description [src]

Adds `filter` to the list of filters that the user can select between.

When a filter is selected, only files that are passed by that filter are displayed.

Note that the `chooser` takes ownership of the filter if it is floating, so you have to ref and sink it if you want to keep a reference.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`filter`

  Type: `GtkFileFilter`

  A `GtkFileFilter`

  The data is owned by the caller of the method.